Sfoglia il codice sorgente

merged from the debian-sid branch

Michael Vogt 15 anni fa
parent
commit
931dcf2f96

+ 7 - 0
apt-pkg/algorithms.cc

@@ -374,6 +374,13 @@ bool pkgDistUpgrade(pkgDepCache &Cache)
 {
 {
    pkgDepCache::ActionGroup group(Cache);
    pkgDepCache::ActionGroup group(Cache);
 
 
+   /* Upgrade all installed packages first without autoinst to help the resolver
+      in versioned or-groups to upgrade the old solver instead of installing
+      a new one (if the old solver is not the first one [anymore]) */
+   for (pkgCache::PkgIterator I = Cache.PkgBegin(); I.end() == false; ++I)
+      if (I->CurrentVer != 0)
+	 Cache.MarkInstall(I, false, 0, false);
+
    /* Auto upgrade all installed packages, this provides the basis 
    /* Auto upgrade all installed packages, this provides the basis 
       for the installation */
       for the installation */
    for (pkgCache::PkgIterator I = Cache.PkgBegin(); I.end() == false; I++)
    for (pkgCache::PkgIterator I = Cache.PkgBegin(); I.end() == false; I++)

+ 3 - 3
apt-pkg/cdrom.cc

@@ -198,7 +198,7 @@ int pkgCdrom::Score(string Path)
    // a symlink gets a big penalty
    // a symlink gets a big penalty
    struct stat Buf;
    struct stat Buf;
    string statPath = flNotFile(Path);
    string statPath = flNotFile(Path);
-   string cdromPath = _config->FindDir("Acquire::cdrom::mount","/cdrom/");
+   string cdromPath = _config->FindDir("Acquire::cdrom::mount");
    while(statPath != cdromPath && statPath != "./") {
    while(statPath != cdromPath && statPath != "./") {
       statPath.resize(statPath.size()-1);  // remove the trailing '/'
       statPath.resize(statPath.size()-1);  // remove the trailing '/'
       if (lstat(statPath.c_str(),&Buf) == 0) {
       if (lstat(statPath.c_str(),&Buf) == 0) {
@@ -509,7 +509,7 @@ bool pkgCdrom::Ident(string &ident, pkgCdromStatus *log)		/*{{{*/
    stringstream msg;
    stringstream msg;
 
 
    // Startup
    // Startup
-   string CDROM = _config->FindDir("Acquire::cdrom::mount","/cdrom/");
+   string CDROM = _config->FindDir("Acquire::cdrom::mount");
    if (CDROM[0] == '.')
    if (CDROM[0] == '.')
       CDROM= SafeGetCWD() + '/' + CDROM;
       CDROM= SafeGetCWD() + '/' + CDROM;
 
 
@@ -568,7 +568,7 @@ bool pkgCdrom::Add(pkgCdromStatus *log)					/*{{{*/
    stringstream msg;
    stringstream msg;
 
 
    // Startup
    // Startup
-   string CDROM = _config->FindDir("Acquire::cdrom::mount","/cdrom/");
+   string CDROM = _config->FindDir("Acquire::cdrom::mount");
    if (CDROM[0] == '.')
    if (CDROM[0] == '.')
       CDROM= SafeGetCWD() + '/' + CDROM;
       CDROM= SafeGetCWD() + '/' + CDROM;
    
    

+ 4 - 1
apt-pkg/init.cc

@@ -52,7 +52,7 @@ bool pkgInitConfig(Configuration &Cnf)
    Cnf.Set("Dir::State::lists","lists/");
    Cnf.Set("Dir::State::lists","lists/");
    Cnf.Set("Dir::State::cdroms","cdroms.list");
    Cnf.Set("Dir::State::cdroms","cdroms.list");
    Cnf.Set("Dir::State::mirrors","mirrors/");
    Cnf.Set("Dir::State::mirrors","mirrors/");
-   
+
    // Cache
    // Cache
    Cnf.Set("Dir::Cache","var/cache/apt/");
    Cnf.Set("Dir::Cache","var/cache/apt/");
    Cnf.Set("Dir::Cache::archives","archives/");
    Cnf.Set("Dir::Cache::archives","archives/");
@@ -88,6 +88,9 @@ bool pkgInitConfig(Configuration &Cnf)
    // Translation
    // Translation
    Cnf.Set("APT::Acquire::Translation", "environment");
    Cnf.Set("APT::Acquire::Translation", "environment");
 
 
+   // Default cdrom mount point
+   Cnf.Set("Acquire::cdrom::mount", "/media/cdrom/");
+
    bool Res = true;
    bool Res = true;
    
    
    // Read an alternate config file
    // Read an alternate config file

+ 1 - 1
cmdline/apt-cache.cc

@@ -588,7 +588,7 @@ bool ShowDepends(CommandLine &CmdL, bool const RevDepends)
    CacheSetHelperVirtuals helper(false);
    CacheSetHelperVirtuals helper(false);
    APT::VersionSet verset = APT::VersionSet::FromCommandLine(CacheFile, CmdL.FileList + 1, APT::VersionSet::CANDIDATE, helper);
    APT::VersionSet verset = APT::VersionSet::FromCommandLine(CacheFile, CmdL.FileList + 1, APT::VersionSet::CANDIDATE, helper);
    if (verset.empty() == true && helper.virtualPkgs.empty() == true)
    if (verset.empty() == true && helper.virtualPkgs.empty() == true)
-      return false;
+      return _error->Error(_("No packages found"));
    std::vector<bool> Shown(Cache->Head().PackageCount);
    std::vector<bool> Shown(Cache->Head().PackageCount);
 
 
    bool const Recurse = _config->FindB("APT::Cache::RecurseDepends", false);
    bool const Recurse = _config->FindB("APT::Cache::RecurseDepends", false);

+ 1 - 0
debian/apt.conf.autoremove

@@ -8,6 +8,7 @@ APT
 	"^kfreebsd-image.*";
 	"^kfreebsd-image.*";
 	"^linux-restricted-modules.*";
 	"^linux-restricted-modules.*";
 	"^linux-ubuntu-modules-.*";
 	"^linux-ubuntu-modules-.*";
+	"^gnumach$";
   };
   };
 
 
   Never-MarkAuto-Sections
   Never-MarkAuto-Sections

+ 56 - 7
debian/changelog

@@ -1,9 +1,14 @@
-apt (0.8.10) unstable; urgency=low
+apt (0.8.11) unstable; urgency=low
 
 
   [ Michael Vogt ]
   [ Michael Vogt ]
   * methods/http.cc:
   * methods/http.cc:
     - do not hang if Acquire::http::ProxyAutoDetect can not be
     - do not hang if Acquire::http::ProxyAutoDetect can not be
       executed or returns no data (LP: #654393)
       executed or returns no data (LP: #654393)
+  * debian/apt.conf.autoremove:
+    - never autoremove the GNU/Hurd kernel (closes: #588423), thanks
+      to Guillem Jover
+  * apt-pkg/cdrom.cc, apt-pkg/init.cc, methods/cdrom.cc:
+    - use /media/cdrom as default mountoint (closes: #611569)
 
 
   [ Martin Pitt ]
   [ Martin Pitt ]
   * test/integration/test-compressed-indexes, test/test-indexes.sh:
   * test/integration/test-compressed-indexes, test/test-indexes.sh:
@@ -11,15 +16,61 @@ apt (0.8.10) unstable; urgency=low
       will actually test uncompressed indexes regardless of the internal
       will actually test uncompressed indexes regardless of the internal
       default value of Acquire::GzipIndexes.
       default value of Acquire::GzipIndexes.
 
 
+ -- Michael Vogt <mvo@debian.org>  Tue, 01 Feb 2011 09:38:48 +0100
+
+apt (0.8.10.3) unstable; urgency=low
+
+  [ Programs translations ]
+  * po/es.po: Updated, plus fixes encoding issues and fixes two fuzzy
+    strings, thanks to Javier Fernandez-Sanguino (closes: #610692)
+
+ -- Michael Vogt <mvo@debian.org>  Tue, 25 Jan 2011 11:51:42 +0100
+
+apt (0.8.10.2) unstable; urgency=low
+
   [ David Kalnischkies ]
   [ David Kalnischkies ]
   * ftparchive/apt-ftparchive.cc:
   * ftparchive/apt-ftparchive.cc:
     - fix endless loop for multiple TranslationsWriters
     - fix endless loop for multiple TranslationsWriters
 
 
+ -- Michael Vogt <mvo@debian.org>  Tue, 25 Jan 2011 10:26:15 +0100
+
+apt (0.8.10.1) unstable; urgency=low
+
+  [ Christian Perrier ]
+  * Fix encoding for Slovenian translation. PO file switched
+    to UTF-8. Closes: #609957
+
+  [ Julian Andres Klode ]
+  * cmdline/apt-cache.cc: Create an error for apt-cache depends
+    if packages could not found (LP: #647045)
+
   [ Programs translations ]
   [ Programs translations ]
-  * po/es.po: Updated, plus fixes encoding issues and fixes two fuzzy
-    strings, thanks to Javier Fernandez-Sanguino (closes: #610692)
+  * Spanish update by Javier Fernández-Sanguino Peña. Closes: #607145 
 
 
- -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 22 Nov 2010 10:40:45 +0100
+  [ Manpages translations ]
+  * Correct a typo and an error in French manpages translation.
+    Closes: # 607170
+
+ -- Michael Vogt <mvo@debian.org>  Mon, 17 Jan 2011 13:41:04 +0100
+
+apt (0.8.10) unstable; urgency=low
+
+  [ Programs translations ]
+  * Czech by Miroslav Kure. Closes: #605107
+
+  [ Martin Pitt ]
+  * test/integration/test-compressed-indexes, test/test-indexes.sh:
+    - Explicitly disable compressed indexes at the start. This ensures that we
+      will actually test uncompressed indexes regardless of the internal
+      default value of Acquire::GzipIndexes.
+
+  [ David Kalnischkies ]
+  * apt-pkg/algorithms.cc:
+    - mark all installed packages first without auto installation in
+      a dist-upgrade to prefer upgrading packages instead of installing
+      new packages in versioned or-groups (Closes: #605394)
+
+ -- Michael Vogt <mvo@debian.org>  Tue, 30 Nov 2010 10:42:17 +0100
 
 
 apt (0.8.9) unstable; urgency=low
 apt (0.8.9) unstable; urgency=low
 
 
@@ -30,7 +81,7 @@ apt (0.8.9) unstable; urgency=low
 
 
   [ Programs translations ]
   [ Programs translations ]
   * Slovenian update by Andrej Žnidaršič and Rosetta Slovenian team
   * Slovenian update by Andrej Žnidaršič and Rosetta Slovenian team
-  ! German update by Holger Wansing. Closes: #603619
+  * German update by Holger Wansing. Closes: #603619
 
 
   [ David Kalnischkies ]
   [ David Kalnischkies ]
   * apt-pkg/aptconfiguration.cc:
   * apt-pkg/aptconfiguration.cc:
@@ -88,8 +139,6 @@ apt (0.8.7) unstable; urgency=low
   * apt-pkg/deb/debsystem.cc:
   * apt-pkg/deb/debsystem.cc:
     - fix issues with dir::state::status and dir::state::extended_states
     - fix issues with dir::state::status and dir::state::extended_states
       when alternative rootdirs are used
       when alternative rootdirs are used
-  * apt-pkg/contrib/weakptr.h:
-    - fix compile error with g++ 4.6
 
 
   [ Martin Pitt ]
   [ Martin Pitt ]
   * apt-pkg/deb/debindexfile.cc:
   * apt-pkg/deb/debindexfile.cc:

+ 9 - 26
doc/po/apt-doc.pot

@@ -7,7 +7,7 @@
 msgid ""
 msgid ""
 msgstr ""
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2010-10-14 00:03+0300\n"
+"POT-Creation-Date: 2010-11-30 10:38+0100\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -74,57 +74,40 @@ msgstr ""
 #. type: SH
 #. type: SH
 #: apt.8:31
 #: apt.8:31
 #, no-wrap
 #, no-wrap
-msgid "OPTIONS"
-msgstr ""
-
-#. type: Plain text
-#: apt.8:33 apt.8:35
-msgid "None."
-msgstr ""
-
-#. type: SH
-#: apt.8:33
-#, no-wrap
-msgid "FILES"
-msgstr ""
-
-#. type: SH
-#: apt.8:35
-#, no-wrap
 msgid "SEE ALSO"
 msgid "SEE ALSO"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:42
+#: apt.8:38
 msgid ""
 msgid ""
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
 msgstr ""
 msgstr ""
 
 
 #. type: SH
 #. type: SH
-#: apt.8:42
+#: apt.8:38
 #, no-wrap
 #, no-wrap
 msgid "DIAGNOSTICS"
 msgid "DIAGNOSTICS"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:44
+#: apt.8:40
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgstr ""
 msgstr ""
 
 
 #. type: SH
 #. type: SH
-#: apt.8:44
+#: apt.8:40
 #, no-wrap
 #, no-wrap
 msgid "BUGS"
 msgid "BUGS"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:46
+#: apt.8:42
 msgid "This manpage isn't even started."
 msgid "This manpage isn't even started."
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:55
+#: apt.8:51
 msgid ""
 msgid ""
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
@@ -132,13 +115,13 @@ msgid ""
 msgstr ""
 msgstr ""
 
 
 #. type: SH
 #. type: SH
-#: apt.8:55
+#: apt.8:51
 #, no-wrap
 #, no-wrap
 msgid "AUTHOR"
 msgid "AUTHOR"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:56
+#: apt.8:52
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr ""
 msgstr ""
 
 

+ 18 - 26
doc/po/de.po

@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 msgstr ""
 "Project-Id-Version: apt-doc 0.7.25.3\n"
 "Project-Id-Version: apt-doc 0.7.25.3\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
 "Report-Msgid-Bugs-To: APT Development Team <deity@lists.debian.org>\n"
-"POT-Creation-Date: 2010-10-13 23:45+0300\n"
+"POT-Creation-Date: 2010-11-30 10:38+0100\n"
 "PO-Revision-Date: 2010-09-16 19:04+0100\n"
 "PO-Revision-Date: 2010-09-16 19:04+0100\n"
 "Last-Translator: Chris Leick <c.leick@vollbio.de>\n"
 "Last-Translator: Chris Leick <c.leick@vollbio.de>\n"
 "Language-Team: German <debian-l10n-german@lists.debian.org>\n"
 "Language-Team: German <debian-l10n-german@lists.debian.org>\n"
@@ -78,28 +78,11 @@ msgstr ""
 #. type: SH
 #. type: SH
 #: apt.8:31
 #: apt.8:31
 #, no-wrap
 #, no-wrap
-msgid "OPTIONS"
-msgstr "OPTIONEN"
-
-#. type: Plain text
-#: apt.8:33 apt.8:35
-msgid "None."
-msgstr "Keine"
-
-#. type: SH
-#: apt.8:33
-#, no-wrap
-msgid "FILES"
-msgstr "DATEIEN"
-
-#. type: SH
-#: apt.8:35
-#, no-wrap
 msgid "SEE ALSO"
 msgid "SEE ALSO"
 msgstr "SIEHE AUCH"
 msgstr "SIEHE AUCH"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:42
+#: apt.8:38
 msgid ""
 msgid ""
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
@@ -108,29 +91,29 @@ msgstr ""
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
 
 
 #. type: SH
 #. type: SH
-#: apt.8:42
+#: apt.8:38
 #, no-wrap
 #, no-wrap
 msgid "DIAGNOSTICS"
 msgid "DIAGNOSTICS"
 msgstr "DIAGNOSE"
 msgstr "DIAGNOSE"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:44
+#: apt.8:40
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgstr "apt gibt bei normalen Operationen 0 zurück, dezimal 100 bei Fehlern."
 msgstr "apt gibt bei normalen Operationen 0 zurück, dezimal 100 bei Fehlern."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:44
+#: apt.8:40
 #, no-wrap
 #, no-wrap
 msgid "BUGS"
 msgid "BUGS"
 msgstr "FEHLER"
 msgstr "FEHLER"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:46
+#: apt.8:42
 msgid "This manpage isn't even started."
 msgid "This manpage isn't even started."
 msgstr "Diese Handbuchseite wurde noch nicht mal begonnen."
 msgstr "Diese Handbuchseite wurde noch nicht mal begonnen."
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:55
+#: apt.8:51
 msgid ""
 msgid ""
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
@@ -141,13 +124,13 @@ msgstr ""
 "reporting.txt> oder den Befehl B<reportbug>(1) an."
 "reporting.txt> oder den Befehl B<reportbug>(1) an."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:55
+#: apt.8:51
 #, no-wrap
 #, no-wrap
 msgid "AUTHOR"
 msgid "AUTHOR"
 msgstr "AUTOR"
 msgstr "AUTOR"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:56
+#: apt.8:52
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr "apt wurde vom APT-Team E<lt>apt@packages.debian.orgE<gt> geschrieben."
 msgstr "apt wurde vom APT-Team E<lt>apt@packages.debian.orgE<gt> geschrieben."
 
 
@@ -10992,6 +10975,15 @@ msgstr "  # apt-get -o dir::cache::archives=\"/Platte/\" dist-upgrade"
 msgid "Which will use the already fetched archives on the disc."
 msgid "Which will use the already fetched archives on the disc."
 msgstr "Es wird die bereits auf die Platte heruntergeladenen Archive benutzen."
 msgstr "Es wird die bereits auf die Platte heruntergeladenen Archive benutzen."
 
 
+#~ msgid "OPTIONS"
+#~ msgstr "OPTIONEN"
+
+#~ msgid "None."
+#~ msgstr "Keine"
+
+#~ msgid "FILES"
+#~ msgstr "DATEIEN"
+
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 
 

+ 18 - 26
doc/po/es.po

@@ -36,7 +36,7 @@
 msgid ""
 msgid ""
 msgstr ""
 msgstr ""
 "Project-Id-Version: apt 0.7.25\n"
 "Project-Id-Version: apt 0.7.25\n"
-"POT-Creation-Date: 2010-10-13 23:45+0300\n"
+"POT-Creation-Date: 2010-11-30 10:38+0100\n"
 "PO-Revision-Date: 2010-08-25 03:25+0200\n"
 "PO-Revision-Date: 2010-08-25 03:25+0200\n"
 "Last-Translator: Omar Campagne <ocampagne@gmail.com>\n"
 "Last-Translator: Omar Campagne <ocampagne@gmail.com>\n"
 "Language-Team: Debian l10n Spanish <debian-l10n-spanish@lists.debian.org>\n"
 "Language-Team: Debian l10n Spanish <debian-l10n-spanish@lists.debian.org>\n"
@@ -109,28 +109,11 @@ msgstr ""
 #. type: SH
 #. type: SH
 #: apt.8:31
 #: apt.8:31
 #, no-wrap
 #, no-wrap
-msgid "OPTIONS"
-msgstr "OPCIONES"
-
-#. type: Plain text
-#: apt.8:33 apt.8:35
-msgid "None."
-msgstr "Ninguna."
-
-#. type: SH
-#: apt.8:33
-#, no-wrap
-msgid "FILES"
-msgstr "FICHEROS"
-
-#. type: SH
-#: apt.8:35
-#, no-wrap
 msgid "SEE ALSO"
 msgid "SEE ALSO"
 msgstr "VÉASE TAMBIÉN"
 msgstr "VÉASE TAMBIÉN"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:42
+#: apt.8:38
 msgid ""
 msgid ""
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
@@ -139,30 +122,30 @@ msgstr ""
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
 
 
 #. type: SH
 #. type: SH
-#: apt.8:42
+#: apt.8:38
 #, no-wrap
 #, no-wrap
 msgid "DIAGNOSTICS"
 msgid "DIAGNOSTICS"
 msgstr "DIAGNÓSTICOS"
 msgstr "DIAGNÓSTICOS"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:44
+#: apt.8:40
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgstr ""
 msgstr ""
 "apt devuelve cero si no hay ningún error, y el valor 100 en caso de error."
 "apt devuelve cero si no hay ningún error, y el valor 100 en caso de error."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:44
+#: apt.8:40
 #, no-wrap
 #, no-wrap
 msgid "BUGS"
 msgid "BUGS"
 msgstr "FALLOS"
 msgstr "FALLOS"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:46
+#: apt.8:42
 msgid "This manpage isn't even started."
 msgid "This manpage isn't even started."
 msgstr "Esta página de manual ni siquiera está iniciada."
 msgstr "Esta página de manual ni siquiera está iniciada."
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:55
+#: apt.8:51
 msgid ""
 msgid ""
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
@@ -173,13 +156,13 @@ msgstr ""
 "o use la orden B<reportbug>(1)."
 "o use la orden B<reportbug>(1)."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:55
+#: apt.8:51
 #, no-wrap
 #, no-wrap
 msgid "AUTHOR"
 msgid "AUTHOR"
 msgstr "AUTOR"
 msgstr "AUTOR"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:56
+#: apt.8:52
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr "El equipo APT E<lt>apt@packages.debian.orgE<gt> escribió apt."
 msgstr "El equipo APT E<lt>apt@packages.debian.orgE<gt> escribió apt."
 
 
@@ -10940,6 +10923,15 @@ msgstr "  # apt-get -o dir::cache::archives=\"/disc/\" dist-upgrade"
 msgid "Which will use the already fetched archives on the disc."
 msgid "Which will use the already fetched archives on the disc."
 msgstr "Ésto usará los archivos del disco previamente obtenidos."
 msgstr "Ésto usará los archivos del disco previamente obtenidos."
 
 
+#~ msgid "OPTIONS"
+#~ msgstr "OPCIONES"
+
+#~ msgid "None."
+#~ msgstr "Ninguna."
+
+#~ msgid "FILES"
+#~ msgstr "FICHEROS"
+
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 
 

+ 22 - 30
doc/po/fr.po

@@ -9,7 +9,7 @@
 msgid ""
 msgid ""
 msgstr ""
 msgstr ""
 "Project-Id-Version: \n"
 "Project-Id-Version: \n"
-"POT-Creation-Date: 2010-08-23 18:46-0300\n"
+"POT-Creation-Date: 2010-11-30 10:38+0100\n"
 "PO-Revision-Date: 2010-10-30 09:41+0200\n"
 "PO-Revision-Date: 2010-10-30 09:41+0200\n"
 "Last-Translator: Christian Perrier <bubulle@debian.org>\n"
 "Last-Translator: Christian Perrier <bubulle@debian.org>\n"
 "Language-Team: French <debian-l10n-french@lists.debian.org>\n"
 "Language-Team: French <debian-l10n-french@lists.debian.org>\n"
@@ -82,28 +82,11 @@ msgstr ""
 #. type: SH
 #. type: SH
 #: apt.8:31
 #: apt.8:31
 #, no-wrap
 #, no-wrap
-msgid "OPTIONS"
-msgstr "OPTIONS"
-
-#. type: Plain text
-#: apt.8:33 apt.8:35
-msgid "None."
-msgstr "Aucune."
-
-#. type: SH
-#: apt.8:33
-#, no-wrap
-msgid "FILES"
-msgstr "FICHIERS"
-
-#. type: SH
-#: apt.8:35
-#, no-wrap
 msgid "SEE ALSO"
 msgid "SEE ALSO"
 msgstr "VOIR AUSSI"
 msgstr "VOIR AUSSI"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:42
+#: apt.8:38
 msgid ""
 msgid ""
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
@@ -112,31 +95,31 @@ msgstr ""
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
 
 
 #. type: SH
 #. type: SH
-#: apt.8:42
+#: apt.8:38
 #, no-wrap
 #, no-wrap
 msgid "DIAGNOSTICS"
 msgid "DIAGNOSTICS"
 msgstr "DIAGNOSTICS"
 msgstr "DIAGNOSTICS"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:44
+#: apt.8:40
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgstr ""
 msgstr ""
 "apt renvoie zéro après une opération normale et la valeur décimale 100 en "
 "apt renvoie zéro après une opération normale et la valeur décimale 100 en "
 "cas d'erreur."
 "cas d'erreur."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:44
+#: apt.8:40
 #, no-wrap
 #, no-wrap
 msgid "BUGS"
 msgid "BUGS"
 msgstr "BOGUES"
 msgstr "BOGUES"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:46
+#: apt.8:42
 msgid "This manpage isn't even started."
 msgid "This manpage isn't even started."
 msgstr "Cette page de manuel n'a même pas commencé à être rédigée."
 msgstr "Cette page de manuel n'a même pas commencé à être rédigée."
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:55
+#: apt.8:51
 msgid ""
 msgid ""
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
@@ -147,13 +130,13 @@ msgstr ""
 "ou utiliser la commande B<reportbug>(1)."
 "ou utiliser la commande B<reportbug>(1)."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:55
+#: apt.8:51
 #, no-wrap
 #, no-wrap
 msgid "AUTHOR"
 msgid "AUTHOR"
 msgstr "AUTEURS"
 msgstr "AUTEURS"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:56
+#: apt.8:52
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr ""
 msgstr ""
 "apt a été écrit par l'équipe de développement APT E<lt>apt@packages.debian."
 "apt a été écrit par l'équipe de développement APT E<lt>apt@packages.debian."
@@ -7652,8 +7635,8 @@ msgid ""
 msgstr ""
 msgstr ""
 "Le fichier d'APT, <filename>/etc/apt/preferences</filename> et les fichiers "
 "Le fichier d'APT, <filename>/etc/apt/preferences</filename> et les fichiers "
 "fragments situés dans le dossier <filename>/etc/apt/preferences.d/</"
 "fragments situés dans le dossier <filename>/etc/apt/preferences.d/</"
-"filename>, peuvent être utilisés pour choisir la version des paquets que l'on "
-"veut installer."
+"filename>, peuvent être utilisés pour choisir la version des paquets que "
+"l'on veut installer."
 
 
 #. type: Content of: <refentry><refsect1><para>
 #. type: Content of: <refentry><refsect1><para>
 #: apt_preferences.5.xml:42
 #: apt_preferences.5.xml:42
@@ -7912,7 +7895,7 @@ msgid ""
 "upgraded when <command>apt-get install <replaceable>some-package</"
 "upgraded when <command>apt-get install <replaceable>some-package</"
 "replaceable></command> or <command>apt-get upgrade</command> is executed."
 "replaceable></command> or <command>apt-get upgrade</command> is executed."
 msgstr ""
 msgstr ""
-"UEn général, la version installée d'un paquet (priorité 100) n'est pas aussi "
+"En général, la version installée d'un paquet (priorité 100) n'est pas aussi "
 "récente que les versions disponibles dans les sources listées dans le "
 "récente que les versions disponibles dans les sources listées dans le "
 "fichier &sources-list; (priorité 500 ou 990). Et donc le paquet sera mis à "
 "fichier &sources-list; (priorité 500 ou 990). Et donc le paquet sera mis à "
 "niveau avec la commande : <command>apt-get install <replaceable>paquet</"
 "niveau avec la commande : <command>apt-get install <replaceable>paquet</"
@@ -8104,7 +8087,7 @@ msgid ""
 "</literal>\"."
 "</literal>\"."
 msgstr ""
 msgstr ""
 "L'entrée suivante affecte une priorité basse à toutes les versions d'un "
 "L'entrée suivante affecte une priorité basse à toutes les versions d'un "
-"paquet appartenant à toute distribution dont le nom d'« Archive » est "
+"paquet appartenant à toute distribution dont le nom de code est "
 "<literal>&testing-codename;</literal>."
 "<literal>&testing-codename;</literal>."
 
 
 #. type: Content of: <refentry><refsect1><refsect2><para><itemizedlist><listitem><programlisting>
 #. type: Content of: <refentry><refsect1><refsect2><para><itemizedlist><listitem><programlisting>
@@ -10953,6 +10936,15 @@ msgstr "  # apt-get -o dir::cache::archives=\"/disc/\" dist-upgrade"
 msgid "Which will use the already fetched archives on the disc."
 msgid "Which will use the already fetched archives on the disc."
 msgstr "Cette commande utilisera les fichiers récupérés sur le disque."
 msgstr "Cette commande utilisera les fichiers récupérés sur le disque."
 
 
+#~ msgid "OPTIONS"
+#~ msgstr "OPTIONS"
+
+#~ msgid "None."
+#~ msgstr "Aucune."
+
+#~ msgid "FILES"
+#~ msgstr "FICHIERS"
+
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 
 

+ 9 - 26
doc/po/it.po

@@ -9,7 +9,7 @@
 msgid ""
 msgid ""
 msgstr ""
 msgstr ""
 "Project-Id-Version: \n"
 "Project-Id-Version: \n"
-"POT-Creation-Date: 2010-10-13 23:45+0300\n"
+"POT-Creation-Date: 2010-11-30 10:38+0100\n"
 "PO-Revision-Date: 2003-04-26 23:26+0100\n"
 "PO-Revision-Date: 2003-04-26 23:26+0100\n"
 "Last-Translator: Traduzione di Eugenia Franzoni <eugenia@linuxcare.com>\n"
 "Last-Translator: Traduzione di Eugenia Franzoni <eugenia@linuxcare.com>\n"
 "Language-Team: <debian-l10n-italian@lists.debian.org>\n"
 "Language-Team: <debian-l10n-italian@lists.debian.org>\n"
@@ -76,57 +76,40 @@ msgstr ""
 #. type: SH
 #. type: SH
 #: apt.8:31
 #: apt.8:31
 #, no-wrap
 #, no-wrap
-msgid "OPTIONS"
-msgstr ""
-
-#. type: Plain text
-#: apt.8:33 apt.8:35
-msgid "None."
-msgstr ""
-
-#. type: SH
-#: apt.8:33
-#, no-wrap
-msgid "FILES"
-msgstr ""
-
-#. type: SH
-#: apt.8:35
-#, no-wrap
 msgid "SEE ALSO"
 msgid "SEE ALSO"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:42
+#: apt.8:38
 msgid ""
 msgid ""
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
 msgstr ""
 msgstr ""
 
 
 #. type: SH
 #. type: SH
-#: apt.8:42
+#: apt.8:38
 #, no-wrap
 #, no-wrap
 msgid "DIAGNOSTICS"
 msgid "DIAGNOSTICS"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:44
+#: apt.8:40
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgstr ""
 msgstr ""
 
 
 #. type: SH
 #. type: SH
-#: apt.8:44
+#: apt.8:40
 #, no-wrap
 #, no-wrap
 msgid "BUGS"
 msgid "BUGS"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:46
+#: apt.8:42
 msgid "This manpage isn't even started."
 msgid "This manpage isn't even started."
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:55
+#: apt.8:51
 msgid ""
 msgid ""
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
@@ -134,13 +117,13 @@ msgid ""
 msgstr ""
 msgstr ""
 
 
 #. type: SH
 #. type: SH
-#: apt.8:55
+#: apt.8:51
 #, no-wrap
 #, no-wrap
 msgid "AUTHOR"
 msgid "AUTHOR"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:56
+#: apt.8:52
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr ""
 msgstr ""
 
 

+ 21 - 29
doc/po/ja.po

@@ -7,7 +7,7 @@
 msgid ""
 msgid ""
 msgstr ""
 msgstr ""
 "Project-Id-Version: apt 0.7.25.3\n"
 "Project-Id-Version: apt 0.7.25.3\n"
-"POT-Creation-Date: 2010-10-13 23:45+0300\n"
+"POT-Creation-Date: 2010-11-30 10:38+0100\n"
 "PO-Revision-Date: 2010-09-07 07:38+0900\n"
 "PO-Revision-Date: 2010-09-07 07:38+0900\n"
 "Last-Translator: KURASAWA Nozomu <nabetaro@caldron.jp>\n"
 "Last-Translator: KURASAWA Nozomu <nabetaro@caldron.jp>\n"
 "Language-Team: Debian Japanese List <debian-japanese@lists.debian.org>\n"
 "Language-Team: Debian Japanese List <debian-japanese@lists.debian.org>\n"
@@ -86,32 +86,12 @@ msgstr ""
 #. type: SH
 #. type: SH
 #: apt.8:31
 #: apt.8:31
 #, no-wrap
 #, no-wrap
-msgid "OPTIONS"
-msgstr "オプション"
-
-# type: Plain text
-#. type: Plain text
-#: apt.8:33 apt.8:35
-msgid "None."
-msgstr "なし。"
-
-# type: SH
-#. type: SH
-#: apt.8:33
-#, no-wrap
-msgid "FILES"
-msgstr "ファイル"
-
-# type: SH
-#. type: SH
-#: apt.8:35
-#, no-wrap
 msgid "SEE ALSO"
 msgid "SEE ALSO"
 msgstr "関連項目"
 msgstr "関連項目"
 
 
 # type: Plain text
 # type: Plain text
 #. type: Plain text
 #. type: Plain text
-#: apt.8:42
+#: apt.8:38
 msgid ""
 msgid ""
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
@@ -121,33 +101,33 @@ msgstr ""
 
 
 # type: SH
 # type: SH
 #. type: SH
 #. type: SH
-#: apt.8:42
+#: apt.8:38
 #, no-wrap
 #, no-wrap
 msgid "DIAGNOSTICS"
 msgid "DIAGNOSTICS"
 msgstr "診断メッセージ"
 msgstr "診断メッセージ"
 
 
 # type: Content of: <refentry><refsect1><para>
 # type: Content of: <refentry><refsect1><para>
 #. type: Plain text
 #. type: Plain text
-#: apt.8:44
+#: apt.8:40
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgstr "apt は正常終了時に 0 を返します。エラー時には十進の 100 を返します。"
 msgstr "apt は正常終了時に 0 を返します。エラー時には十進の 100 を返します。"
 
 
 # type: SH
 # type: SH
 #. type: SH
 #. type: SH
-#: apt.8:44
+#: apt.8:40
 #, no-wrap
 #, no-wrap
 msgid "BUGS"
 msgid "BUGS"
 msgstr "バグ"
 msgstr "バグ"
 
 
 # type: Plain text
 # type: Plain text
 #. type: Plain text
 #. type: Plain text
-#: apt.8:46
+#: apt.8:42
 msgid "This manpage isn't even started."
 msgid "This manpage isn't even started."
 msgstr "このマニュアルページは、始まってさえいません。"
 msgstr "このマニュアルページは、始まってさえいません。"
 
 
 # type: Plain text
 # type: Plain text
 #. type: Plain text
 #. type: Plain text
-#: apt.8:55
+#: apt.8:51
 msgid ""
 msgid ""
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
@@ -159,14 +139,14 @@ msgstr ""
 
 
 # type: SH
 # type: SH
 #. type: SH
 #. type: SH
-#: apt.8:55
+#: apt.8:51
 #, no-wrap
 #, no-wrap
 msgid "AUTHOR"
 msgid "AUTHOR"
 msgstr "著者"
 msgstr "著者"
 
 
 # type: Plain text
 # type: Plain text
 #. type: Plain text
 #. type: Plain text
-#: apt.8:56
+#: apt.8:52
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr ""
 msgstr ""
 "apt は APT チーム E<lt>apt@packages.debian.orgE<gt> によって書かれました。"
 "apt は APT チーム E<lt>apt@packages.debian.orgE<gt> によって書かれました。"
@@ -10654,5 +10634,17 @@ msgstr "  # apt-get -o dir::cache::archives=\"/disc/\" dist-upgrade"
 msgid "Which will use the already fetched archives on the disc."
 msgid "Which will use the already fetched archives on the disc."
 msgstr "これで、disc にある取得済みのアーカイブを使用するようになります。"
 msgstr "これで、disc にある取得済みのアーカイブを使用するようになります。"
 
 
+# type: SH
+#~ msgid "OPTIONS"
+#~ msgstr "オプション"
+
+# type: Plain text
+#~ msgid "None."
+#~ msgstr "なし。"
+
+# type: SH
+#~ msgid "FILES"
+#~ msgstr "ファイル"
+
 #~ msgid "<!ENTITY translation-title \"TRANSLATION\">"
 #~ msgid "<!ENTITY translation-title \"TRANSLATION\">"
 #~ msgstr "<!ENTITY translation-title \"訳者\">"
 #~ msgstr "<!ENTITY translation-title \"訳者\">"

+ 19 - 27
doc/po/pl.po

@@ -10,7 +10,7 @@
 msgid ""
 msgid ""
 msgstr ""
 msgstr ""
 "Project-Id-Version: apt 0.7.25.3\n"
 "Project-Id-Version: apt 0.7.25.3\n"
-"POT-Creation-Date: 2010-10-13 23:45+0300\n"
+"POT-Creation-Date: 2010-11-30 10:38+0100\n"
 "PO-Revision-Date: 2010-03-18 22:00+0100\n"
 "PO-Revision-Date: 2010-03-18 22:00+0100\n"
 "Last-Translator: Robert Luberda <robert@debian.org>\n"
 "Last-Translator: Robert Luberda <robert@debian.org>\n"
 "Language-Team: <debian-l10n-polish@lists.debian.org>\n"
 "Language-Team: <debian-l10n-polish@lists.debian.org>\n"
@@ -83,30 +83,12 @@ msgstr ""
 #. type: SH
 #. type: SH
 #: apt.8:31
 #: apt.8:31
 #, no-wrap
 #, no-wrap
-msgid "OPTIONS"
-msgstr "OPCJE"
-
-#
-#. type: Plain text
-#: apt.8:33 apt.8:35
-msgid "None."
-msgstr "Brak."
-
-#. type: SH
-#: apt.8:33
-#, no-wrap
-msgid "FILES"
-msgstr "PLIKI"
-
-#. type: SH
-#: apt.8:35
-#, no-wrap
 msgid "SEE ALSO"
 msgid "SEE ALSO"
 msgstr "ZOBACZ TAKŻE"
 msgstr "ZOBACZ TAKŻE"
 
 
 #
 #
 #. type: Plain text
 #. type: Plain text
-#: apt.8:42
+#: apt.8:38
 msgid ""
 msgid ""
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
@@ -115,34 +97,34 @@ msgstr ""
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
 
 
 #. type: SH
 #. type: SH
-#: apt.8:42
+#: apt.8:38
 #, no-wrap
 #, no-wrap
 msgid "DIAGNOSTICS"
 msgid "DIAGNOSTICS"
 msgstr "DIAGNOSTYKA"
 msgstr "DIAGNOSTYKA"
 
 
 #
 #
 #. type: Plain text
 #. type: Plain text
-#: apt.8:44
+#: apt.8:40
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgstr ""
 msgstr ""
 "apt zwraca zero, jeżeli zakończyło się pomyślnie, 100 dziesiętnie w "
 "apt zwraca zero, jeżeli zakończyło się pomyślnie, 100 dziesiętnie w "
 "przypadku błędu."
 "przypadku błędu."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:44
+#: apt.8:40
 #, no-wrap
 #, no-wrap
 msgid "BUGS"
 msgid "BUGS"
 msgstr "BŁĘDY"
 msgstr "BŁĘDY"
 
 
 #
 #
 #. type: Plain text
 #. type: Plain text
-#: apt.8:46
+#: apt.8:42
 msgid "This manpage isn't even started."
 msgid "This manpage isn't even started."
 msgstr "Ta strona podręcznika nie jest nawet zaczęta."
 msgstr "Ta strona podręcznika nie jest nawet zaczęta."
 
 
 #
 #
 #. type: Plain text
 #. type: Plain text
-#: apt.8:55
+#: apt.8:51
 msgid ""
 msgid ""
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
@@ -153,14 +135,14 @@ msgstr ""
 "lub użyj polecenia B<reportbug>(1)."
 "lub użyj polecenia B<reportbug>(1)."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:55
+#: apt.8:51
 #, no-wrap
 #, no-wrap
 msgid "AUTHOR"
 msgid "AUTHOR"
 msgstr "AUTOR"
 msgstr "AUTOR"
 
 
 #
 #
 #. type: Plain text
 #. type: Plain text
-#: apt.8:56
+#: apt.8:52
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr ""
 msgstr ""
 "apt zostało napisane przez zespół APT E<lt>apt@packages.debian.orgE<gt>."
 "apt zostało napisane przez zespół APT E<lt>apt@packages.debian.orgE<gt>."
@@ -9990,6 +9972,16 @@ msgstr "  # apt-get -o dir::cache::archives=\"/disc/\" dist-upgrade"
 msgid "Which will use the already fetched archives on the disc."
 msgid "Which will use the already fetched archives on the disc."
 msgstr "Które użyje pobranych uprzednio archiwów z dysku."
 msgstr "Które użyje pobranych uprzednio archiwów z dysku."
 
 
+#~ msgid "OPTIONS"
+#~ msgstr "OPCJE"
+
+#
+#~ msgid "None."
+#~ msgstr "Brak."
+
+#~ msgid "FILES"
+#~ msgstr "PLIKI"
+
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 
 

+ 18 - 26
doc/po/pt.po

@@ -6,7 +6,7 @@
 msgid ""
 msgid ""
 msgstr ""
 msgstr ""
 "Project-Id-Version: apt 0.8.0~pre1\n"
 "Project-Id-Version: apt 0.8.0~pre1\n"
-"POT-Creation-Date: 2010-10-13 23:45+0300\n"
+"POT-Creation-Date: 2010-11-30 10:38+0100\n"
 "PO-Revision-Date: 2010-08-25 23:07+0100\n"
 "PO-Revision-Date: 2010-08-25 23:07+0100\n"
 "Last-Translator: Américo Monteiro <a_monteiro@netcabo.pt>\n"
 "Last-Translator: Américo Monteiro <a_monteiro@netcabo.pt>\n"
 "Language-Team: Portuguese <traduz@debianpt.org>\n"
 "Language-Team: Portuguese <traduz@debianpt.org>\n"
@@ -80,28 +80,11 @@ msgstr ""
 #. type: SH
 #. type: SH
 #: apt.8:31
 #: apt.8:31
 #, no-wrap
 #, no-wrap
-msgid "OPTIONS"
-msgstr "OPÇÕES"
-
-#. type: Plain text
-#: apt.8:33 apt.8:35
-msgid "None."
-msgstr "Nenhum."
-
-#. type: SH
-#: apt.8:33
-#, no-wrap
-msgid "FILES"
-msgstr "FICHEIROS"
-
-#. type: SH
-#: apt.8:35
-#, no-wrap
 msgid "SEE ALSO"
 msgid "SEE ALSO"
 msgstr "VEJA TAMBÉM"
 msgstr "VEJA TAMBÉM"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:42
+#: apt.8:38
 msgid ""
 msgid ""
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
@@ -110,29 +93,29 @@ msgstr ""
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
 
 
 #. type: SH
 #. type: SH
-#: apt.8:42
+#: apt.8:38
 #, no-wrap
 #, no-wrap
 msgid "DIAGNOSTICS"
 msgid "DIAGNOSTICS"
 msgstr "DIAGNÓSTICOS"
 msgstr "DIAGNÓSTICOS"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:44
+#: apt.8:40
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgstr "o apt devolve zero na operação normal, 100 decimal em erro."
 msgstr "o apt devolve zero na operação normal, 100 decimal em erro."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:44
+#: apt.8:40
 #, no-wrap
 #, no-wrap
 msgid "BUGS"
 msgid "BUGS"
 msgstr "BUGS"
 msgstr "BUGS"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:46
+#: apt.8:42
 msgid "This manpage isn't even started."
 msgid "This manpage isn't even started."
 msgstr "Este manual ainda nem começou."
 msgstr "Este manual ainda nem começou."
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:55
+#: apt.8:51
 msgid ""
 msgid ""
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
 "B<apt>, please see I</usr/share/doc/debian/bug-reporting.txt> or the "
@@ -143,13 +126,13 @@ msgstr ""
 "comando B<reportbug>(1) ."
 "comando B<reportbug>(1) ."
 
 
 #. type: SH
 #. type: SH
-#: apt.8:55
+#: apt.8:51
 #, no-wrap
 #, no-wrap
 msgid "AUTHOR"
 msgid "AUTHOR"
 msgstr "AUTOR"
 msgstr "AUTOR"
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:56
+#: apt.8:52
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr "apt foi escrito pelo APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr "apt foi escrito pelo APT team E<lt>apt@packages.debian.orgE<gt>."
 
 
@@ -10823,6 +10806,15 @@ msgstr "  # apt-get -o dir::cache::archives=\"/disc/\" dist-upgrade"
 msgid "Which will use the already fetched archives on the disc."
 msgid "Which will use the already fetched archives on the disc."
 msgstr "O qual irá usar os arquivos já obtidos e que estão no disco."
 msgstr "O qual irá usar os arquivos já obtidos e que estão no disco."
 
 
+#~ msgid "OPTIONS"
+#~ msgstr "OPÇÕES"
+
+#~ msgid "None."
+#~ msgstr "Nenhum."
+
+#~ msgid "FILES"
+#~ msgstr "FICHEIROS"
+
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgid "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 #~ msgstr "<filename>/var/lib/apt/extended_states</filename>"
 
 

+ 9 - 26
doc/po/pt_BR.po

@@ -9,7 +9,7 @@
 msgid ""
 msgid ""
 msgstr ""
 msgstr ""
 "Project-Id-Version: apt\n"
 "Project-Id-Version: apt\n"
-"POT-Creation-Date: 2010-10-13 23:45+0300\n"
+"POT-Creation-Date: 2010-11-30 10:38+0100\n"
 "PO-Revision-Date: 2004-09-20 17:02+0000\n"
 "PO-Revision-Date: 2004-09-20 17:02+0000\n"
 "Last-Translator: André Luís Lopes <andrelop@debian.org>\n"
 "Last-Translator: André Luís Lopes <andrelop@debian.org>\n"
 "Language-Team: <debian-l10n-portuguese@lists.debian.org>\n"
 "Language-Team: <debian-l10n-portuguese@lists.debian.org>\n"
@@ -76,57 +76,40 @@ msgstr ""
 #. type: SH
 #. type: SH
 #: apt.8:31
 #: apt.8:31
 #, no-wrap
 #, no-wrap
-msgid "OPTIONS"
-msgstr ""
-
-#. type: Plain text
-#: apt.8:33 apt.8:35
-msgid "None."
-msgstr ""
-
-#. type: SH
-#: apt.8:33
-#, no-wrap
-msgid "FILES"
-msgstr ""
-
-#. type: SH
-#: apt.8:35
-#, no-wrap
 msgid "SEE ALSO"
 msgid "SEE ALSO"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:42
+#: apt.8:38
 msgid ""
 msgid ""
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt-cache>(8), B<apt-get>(8), B<apt.conf>(5), B<sources.list>(5), "
 "B<apt_preferences>(5), B<apt-secure>(8)"
 "B<apt_preferences>(5), B<apt-secure>(8)"
 msgstr ""
 msgstr ""
 
 
 #. type: SH
 #. type: SH
-#: apt.8:42
+#: apt.8:38
 #, no-wrap
 #, no-wrap
 msgid "DIAGNOSTICS"
 msgid "DIAGNOSTICS"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:44
+#: apt.8:40
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgid "apt returns zero on normal operation, decimal 100 on error."
 msgstr ""
 msgstr ""
 
 
 #. type: SH
 #. type: SH
-#: apt.8:44
+#: apt.8:40
 #, no-wrap
 #, no-wrap
 msgid "BUGS"
 msgid "BUGS"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:46
+#: apt.8:42
 msgid "This manpage isn't even started."
 msgid "This manpage isn't even started."
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:55
+#: apt.8:51
 #, fuzzy
 #, fuzzy
 msgid ""
 msgid ""
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
 "See E<lt>http://bugs.debian.org/aptE<gt>.  If you wish to report a bug in "
@@ -144,13 +127,13 @@ msgstr ""
 " </RefSect1>\n"
 " </RefSect1>\n"
 
 
 #. type: SH
 #. type: SH
-#: apt.8:55
+#: apt.8:51
 #, no-wrap
 #, no-wrap
 msgid "AUTHOR"
 msgid "AUTHOR"
 msgstr ""
 msgstr ""
 
 
 #. type: Plain text
 #. type: Plain text
-#: apt.8:56
+#: apt.8:52
 #, fuzzy
 #, fuzzy
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgid "apt was written by the APT team E<lt>apt@packages.debian.orgE<gt>."
 msgstr ""
 msgstr ""

+ 1 - 1
methods/cdrom.cc

@@ -220,7 +220,7 @@ bool CDROMMethod::Fetch(FetchItem *Itm)
    }
    }
 
 
    bool AutoDetect = _config->FindB("Acquire::cdrom::AutoDetect", true);
    bool AutoDetect = _config->FindB("Acquire::cdrom::AutoDetect", true);
-   CDROM = _config->FindDir("Acquire::cdrom::mount","/cdrom/");
+   CDROM = _config->FindDir("Acquire::cdrom::mount");
    if (Debug)
    if (Debug)
       clog << "Looking for CDROM at " << CDROM << endl;
       clog << "Looking for CDROM at " << CDROM << endl;
 
 

File diff suppressed because it is too large
+ 262 - 227
po/cs.po


+ 44 - 29
po/sl.po

@@ -6,11 +6,11 @@ msgstr ""
 "Report-Msgid-Bugs-To: \n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2010-09-28 17:23+0200\n"
 "POT-Creation-Date: 2010-09-28 17:23+0200\n"
 "PO-Revision-Date: 2010-09-05 20:35+0100\n"
 "PO-Revision-Date: 2010-09-05 20:35+0100\n"
-"Last-Translator: Andrej ®nidarąič <andrej.znidarsic@gmail.com>\n"
+"Last-Translator: Andrej Znidarąič <andrej.znidarsic@gmail.com>\n"
 "Language-Team: Slovenian <sl@li.org>\n"
 "Language-Team: Slovenian <sl@li.org>\n"
 "Language: sl\n"
 "Language: sl\n"
 "MIME-Version: 1.0\n"
 "MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=ISO-8859-2\n"
+"Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=4; plural=(n%100==1 ? 1 : n%100==2 ? 2 : n%100==3 || n"
 "Plural-Forms: nplurals=4; plural=(n%100==1 ? 1 : n%100==2 ? 2 : n%100==3 || n"
 "%100==4 ? 3 : 0);\n"
 "%100==4 ? 3 : 0);\n"
@@ -280,8 +280,7 @@ msgstr ""
 "Moľnosti:\n"
 "Moľnosti:\n"
 "  -h   To besedilo pomoči.\n"
 "  -h   To besedilo pomoči.\n"
 "  -c=? Prebere podano datoteko z nastavitvami\n"
 "  -c=? Prebere podano datoteko z nastavitvami\n"
-"  -o=? Nastavi poljubno nastavitveno moľnost, na primer. -o dir::cache=/"
-"tmp\n"
+"  -o=? Nastavi poljubno nastavitveno moľnost, na primer. -o dir::cache=/tmp\n"
 
 
 #: cmdline/apt-extracttemplates.cc:98
 #: cmdline/apt-extracttemplates.cc:98
 #, c-format
 #, c-format
@@ -310,8 +309,7 @@ msgstr ""
 "  -h  To besedilo pomoči\n"
 "  -h  To besedilo pomoči\n"
 "  -t   Nastavi začasno mapo\n"
 "  -t   Nastavi začasno mapo\n"
 "  -c=? Prebere podano datoteko z nastavitvami\n"
 "  -c=? Prebere podano datoteko z nastavitvami\n"
-"  -o=? Nastavi poljubno nastavitveno moľnost, na primer. -o dir::cache=/"
-"tmp\n"
+"  -o=? Nastavi poljubno nastavitveno moľnost, na primer. -o dir::cache=/tmp\n"
 
 
 #: cmdline/apt-extracttemplates.cc:267 apt-pkg/pkgcachegen.cc:1171
 #: cmdline/apt-extracttemplates.cc:267 apt-pkg/pkgcachegen.cc:1171
 #, c-format
 #, c-format
@@ -450,7 +448,8 @@ msgid ""
 "DB format is invalid. If you upgraded from an older version of apt, please "
 "DB format is invalid. If you upgraded from an older version of apt, please "
 "remove and re-create the database."
 "remove and re-create the database."
 msgstr ""
 msgstr ""
-"Oblika podatkovne zbirke je neveljavna. V kolikor ste nadgradili s starejąe različice apt, podatkovno zbirko odstranite in jo znova ustvarite."
+"Oblika podatkovne zbirke je neveljavna. V kolikor ste nadgradili s starejąe "
+"različice apt, podatkovno zbirko odstranite in jo znova ustvarite."
 
 
 #: ftparchive/cachedb.cc:77
 #: ftparchive/cachedb.cc:77
 #, c-format
 #, c-format
@@ -910,7 +909,9 @@ msgstr "Notranja napaka, Urejanje se ni končalo"
 
 
 #: cmdline/apt-get.cc:1104
 #: cmdline/apt-get.cc:1104
 msgid "How odd.. The sizes didn't match, email apt@packages.debian.org"
 msgid "How odd.. The sizes didn't match, email apt@packages.debian.org"
-msgstr "Kako čudno .. Velikosti se ne ujemata, poąljite sporočilo na apt@packages.debian.org"
+msgstr ""
+"Kako čudno .. Velikosti se ne ujemata, poąljite sporočilo na apt@packages."
+"debian.org"
 
 
 #. TRANSLATOR: The required space between number and unit is already included
 #. TRANSLATOR: The required space between number and unit is already included
 #. in the replacement strings, so %sB will be correctly translate in e.g. 1,5 MB
 #. in the replacement strings, so %sB will be correctly translate in e.g. 1,5 MB
@@ -1069,7 +1070,8 @@ msgid_plural ""
 "required:"
 "required:"
 msgstr[0] "Naslednji paketi so bili samodejno nameąčeni in niso več zahtevani:"
 msgstr[0] "Naslednji paketi so bili samodejno nameąčeni in niso več zahtevani:"
 msgstr[1] "Naslednji paket je bil samodejno nameąčen in ni več zahtevan:"
 msgstr[1] "Naslednji paket je bil samodejno nameąčen in ni več zahtevan:"
-msgstr[2] "Naslednja paketa sta bila samodejno nameąčena in nista več zahtevana:"
+msgstr[2] ""
+"Naslednja paketa sta bila samodejno nameąčena in nista več zahtevana:"
 msgstr[3] "Naslednji paketi so bili samodejno nameąčeni in niso več zahtevani:"
 msgstr[3] "Naslednji paketi so bili samodejno nameąčeni in niso več zahtevani:"
 
 
 #: cmdline/apt-get.cc:1670
 #: cmdline/apt-get.cc:1670
@@ -1119,14 +1121,15 @@ msgstr "Notranja napaka zaradi AllUpgrade."
 
 
 #: cmdline/apt-get.cc:1792
 #: cmdline/apt-get.cc:1792
 msgid "You might want to run 'apt-get -f install' to correct these:"
 msgid "You might want to run 'apt-get -f install' to correct these:"
-msgstr ""
-"Poskusite zagnati 'apt-get -f install', če ľelite popraviti naslednje:"
+msgstr "Poskusite zagnati 'apt-get -f install', če ľelite popraviti naslednje:"
 
 
 #: cmdline/apt-get.cc:1795
 #: cmdline/apt-get.cc:1795
 msgid ""
 msgid ""
 "Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a "
 "Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a "
 "solution)."
 "solution)."
-msgstr "Nereąene odvisnosti. Poskusite 'apt-get -f install' brez paketov (ali navedite reąitev)."
+msgstr ""
+"Nereąene odvisnosti. Poskusite 'apt-get -f install' brez paketov (ali "
+"navedite reąitev)."
 
 
 #: cmdline/apt-get.cc:1807
 #: cmdline/apt-get.cc:1807
 msgid ""
 msgid ""
@@ -1308,7 +1311,8 @@ msgstr ""
 #: cmdline/apt-get.cc:2684
 #: cmdline/apt-get.cc:2684
 #, c-format
 #, c-format
 msgid "Failed to satisfy %s dependency for %s: Installed package %s is too new"
 msgid "Failed to satisfy %s dependency for %s: Installed package %s is too new"
-msgstr "Ni mogoče zadostiti %s odvisnosti za %s. Nameąčen paket %s je preveč nov"
+msgstr ""
+"Ni mogoče zadostiti %s odvisnosti za %s. Nameąčen paket %s je preveč nov"
 
 
 #: cmdline/apt-get.cc:2711
 #: cmdline/apt-get.cc:2711
 #, c-format
 #, c-format
@@ -1482,7 +1486,8 @@ msgid ""
 msgstr ""
 msgstr ""
 "Uporaba: apt-sortpkgs [moľnosti] dat1 [dat2 ...]\n"
 "Uporaba: apt-sortpkgs [moľnosti] dat1 [dat2 ...]\n"
 "\n"
 "\n"
-"apt-sortpkgs je preprosto orodje za razvrąčanje paketnih datotek. Moľnost -s\n"
+"apt-sortpkgs je preprosto orodje za razvrąčanje paketnih datotek. Moľnost -"
+"s\n"
 "določa vrsto datoteke.\n"
 "določa vrsto datoteke.\n"
 "\n"
 "\n"
 "Moľnosti:\n"
 "Moľnosti:\n"
@@ -1506,7 +1511,8 @@ msgstr "Ali ľelite izbrisati vse predhodno prejete datoteke .deb?"
 
 
 #: dselect/install:101
 #: dselect/install:101
 msgid "Some errors occurred while unpacking. Packages that were installed"
 msgid "Some errors occurred while unpacking. Packages that were installed"
-msgstr "Med raząirajanjem je priąlo do nekaterih napak. Paketi, ki so bili nameąčeni"
+msgstr ""
+"Med raząirajanjem je priąlo do nekaterih napak. Paketi, ki so bili nameąčeni"
 
 
 #: dselect/install:102
 #: dselect/install:102
 msgid "will be configured. This may result in duplicate errors"
 msgid "will be configured. This may result in duplicate errors"
@@ -1887,7 +1893,9 @@ msgstr "PASS je spodletel, streľnik je odgovoril: %s"
 msgid ""
 msgid ""
 "A proxy server was specified but no login script, Acquire::ftp::ProxyLogin "
 "A proxy server was specified but no login script, Acquire::ftp::ProxyLogin "
 "is empty."
 "is empty."
-msgstr "Naveden je bil posredniąki streľnik, ne pa tudi prijavni skript. Acquire::ftp::ProxyLogin je prazen."
+msgstr ""
+"Naveden je bil posredniąki streľnik, ne pa tudi prijavni skript. Acquire::"
+"ftp::ProxyLogin je prazen."
 
 
 #: methods/ftp.cc:271
 #: methods/ftp.cc:271
 #, c-format
 #, c-format
@@ -2589,8 +2597,7 @@ msgstr ""
 #: apt-pkg/sourcelist.cc:95
 #: apt-pkg/sourcelist.cc:95
 #, c-format
 #, c-format
 msgid "Malformed line %lu in source list %s ([option] too short)"
 msgid "Malformed line %lu in source list %s ([option] too short)"
-msgstr ""
-"Slabo oblikovana vrstica %lu na seznamu virov %s ([moľnost] prekratka)"
+msgstr "Slabo oblikovana vrstica %lu na seznamu virov %s ([moľnost] prekratka)"
 
 
 #: apt-pkg/sourcelist.cc:106
 #: apt-pkg/sourcelist.cc:106
 #, c-format
 #, c-format
@@ -2660,7 +2667,9 @@ msgstr "Vrsta '%s' v vrstici %u na seznamu virov %s ni znana "
 msgid ""
 msgid ""
 "Could not perform immediate configuration on '%s'. Please see man 5 apt.conf "
 "Could not perform immediate configuration on '%s'. Please see man 5 apt.conf "
 "under APT::Immediate-Configure for details. (%d)"
 "under APT::Immediate-Configure for details. (%d)"
-msgstr "Ni mogoče izvesti takojąnje nastavitve na '%s'. Oglejte si man5 apt.conf pod APT::Takojąnja-nastavitev za podrobnosti. (%d)"
+msgstr ""
+"Ni mogoče izvesti takojąnje nastavitve na '%s'. Oglejte si man5 apt.conf pod "
+"APT::Takojąnja-nastavitev za podrobnosti. (%d)"
 
 
 #: apt-pkg/packagemanager.cc:452
 #: apt-pkg/packagemanager.cc:452
 #, c-format
 #, c-format
@@ -2678,8 +2687,8 @@ msgid ""
 "Could not perform immediate configuration on already unpacked '%s'. Please "
 "Could not perform immediate configuration on already unpacked '%s'. Please "
 "see man 5 apt.conf under APT::Immediate-Configure for details."
 "see man 5 apt.conf under APT::Immediate-Configure for details."
 msgstr ""
 msgstr ""
-"Ni mogoče izvesti takojąnje nastavitve ľe razpakiranega '%s'. Oglejte si man 5 apt.conf pod APT::"
-"Takojąnja-Nastavitev za podrobnosti"
+"Ni mogoče izvesti takojąnje nastavitve ľe razpakiranega '%s'. Oglejte si man "
+"5 apt.conf pod APT::Takojąnja-Nastavitev za podrobnosti"
 
 
 #: apt-pkg/pkgrecords.cc:32
 #: apt-pkg/pkgrecords.cc:32
 #, c-format
 #, c-format
@@ -2696,7 +2705,9 @@ msgstr "Paket %s mora biti znova nameąčen, vendar ni mogoče najti arhiva zanj
 msgid ""
 msgid ""
 "Error, pkgProblemResolver::Resolve generated breaks, this may be caused by "
 "Error, pkgProblemResolver::Resolve generated breaks, this may be caused by "
 "held packages."
 "held packages."
-msgstr "Napaka. pkgProblemResolver::Napake pri razreąitvi, ki so jih morda povzročili zadrľani paketi."
+msgstr ""
+"Napaka. pkgProblemResolver::Napake pri razreąitvi, ki so jih morda "
+"povzročili zadrľani paketi."
 
 
 #: apt-pkg/algorithms.cc:1212
 #: apt-pkg/algorithms.cc:1212
 msgid "Unable to correct problems, you have held broken packages."
 msgid "Unable to correct problems, you have held broken packages."
@@ -2921,8 +2932,8 @@ msgid ""
 "A error occurred during the signature verification. The repository is not "
 "A error occurred during the signature verification. The repository is not "
 "updated and the previous index files will be used. GPG error: %s: %s\n"
 "updated and the previous index files will be used. GPG error: %s: %s\n"
 msgstr ""
 msgstr ""
-"Med preverjanjem podpisa je priąlo do napake. Skladiąče ni posodobljeno. Uporabljene bodo predhodne datoteke kazala . Napaka GPG: "
-"%s: %s\n"
+"Med preverjanjem podpisa je priąlo do napake. Skladiąče ni posodobljeno. "
+"Uporabljene bodo predhodne datoteke kazala . Napaka GPG: %s: %s\n"
 
 
 #: apt-pkg/acquire-item.cc:1337
 #: apt-pkg/acquire-item.cc:1337
 #, c-format
 #, c-format
@@ -3148,13 +3159,15 @@ msgid ""
 "Can't select installed nor candidate version from package '%s' as it has "
 "Can't select installed nor candidate version from package '%s' as it has "
 "neither of them"
 "neither of them"
 msgstr ""
 msgstr ""
-"Ni mogoče izbrati nameąčene različice ali različice kandidata iz paketa '%s', saj nima nobenega od "
-"njiju"
+"Ni mogoče izbrati nameąčene različice ali različice kandidata iz paketa "
+"'%s', saj nima nobenega od njiju"
 
 
 #: apt-pkg/cacheset.cc:491
 #: apt-pkg/cacheset.cc:491
 #, c-format
 #, c-format
 msgid "Can't select newest version from package '%s' as it is purely virtual"
 msgid "Can't select newest version from package '%s' as it is purely virtual"
-msgstr "Ni mogoče izbrati najnovejąe različice iz paketa '%s', saj je popolnoma navidezen "
+msgstr ""
+"Ni mogoče izbrati najnovejąe različice iz paketa '%s', saj je popolnoma "
+"navidezen "
 
 
 #: apt-pkg/cacheset.cc:499
 #: apt-pkg/cacheset.cc:499
 #, c-format
 #, c-format
@@ -3259,7 +3272,8 @@ msgstr "Poganjanje dpkg"
 
 
 #: apt-pkg/deb/dpkgpm.cc:1276
 #: apt-pkg/deb/dpkgpm.cc:1276
 msgid "No apport report written because MaxReports is reached already"
 msgid "No apport report written because MaxReports is reached already"
-msgstr "Poročilo apport ni bilo napisano, ker je bilo ątevilo MaxReports ľe doseľeno"
+msgstr ""
+"Poročilo apport ni bilo napisano, ker je bilo ątevilo MaxReports ľe doseľeno"
 
 
 #. check if its not a follow up error
 #. check if its not a follow up error
 #: apt-pkg/deb/dpkgpm.cc:1281
 #: apt-pkg/deb/dpkgpm.cc:1281
@@ -3302,7 +3316,8 @@ msgstr ""
 msgid ""
 msgid ""
 "Unable to lock the administration directory (%s), is another process using "
 "Unable to lock the administration directory (%s), is another process using "
 "it?"
 "it?"
-msgstr "Skrbniąke mape (%s) ni mogoče zakleniti. Jo morda uporablja drugo opravilo?"
+msgstr ""
+"Skrbniąke mape (%s) ni mogoče zakleniti. Jo morda uporablja drugo opravilo?"
 
 
 #: apt-pkg/deb/debsystem.cc:72
 #: apt-pkg/deb/debsystem.cc:72
 #, c-format
 #, c-format

+ 71 - 0
test/integration/Packages-bug-605394-versioned-or-groups

@@ -0,0 +1,71 @@
+Package: apache2-mpm-prefork
+Priority: optional
+Section: httpd
+Installed-Size: 68
+Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
+Architecture: i386
+Source: apache2
+Version: 2.2.16-4
+Provides: apache2-mpm
+Conflicts: apache2-mpm
+Filename: pool/main/a/apache2/apache2-mpm-prefork_2.2.16-4_i386.deb
+Size: 2276
+MD5Sum: c0db3e637052e59dbdb2fa08f4cdcea4
+Description: Apache HTTP Server - traditional non-threaded model
+Task: web-server
+
+Package: apache2-mpm-worker
+Priority: optional
+Section: httpd
+Installed-Size: 68
+Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
+Architecture: i386
+Source: apache2
+Version: 2.2.16-4
+Provides: apache2-mpm
+Conflicts: apache2-mpm
+Filename: pool/main/a/apache2/apache2-mpm-worker_2.2.16-4_i386.deb
+Size: 2220
+MD5Sum: 71bccda875aa0afac700410b951370ba
+Description: Apache HTTP Server - high speed threaded model
+
+Package: libapache2-mod-php5
+Priority: optional
+Section: httpd
+Installed-Size: 7588
+Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
+Architecture: i386
+Source: php5
+Version: 5.3.3-4
+Depends: apache2-mpm-prefork (>> 2.0.52)
+Filename: pool/main/p/php5/libapache2-mod-php5_5.3.3-4_i386.deb
+Size: 2886980
+MD5Sum: b41ec4b98aa08966288570e07cd864ab
+Description: server-side, HTML-embedded scripting language (Apache 2 module)
+Task: web-server
+
+Package: php5-cgi
+Priority: optional
+Section: php
+Installed-Size: 14672
+Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
+Architecture: i386
+Source: php5
+Version: 5.3.3-4
+Filename: pool/main/p/php5/php5-cgi_5.3.3-4_i386.deb
+Size: 5713726
+MD5Sum: 9e579982032c7bb98508e16e314f45e9
+Description: server-side, HTML-embedded scripting language (CGI binary)
+
+Package: php5
+Priority: optional
+Section: php
+Installed-Size: 20
+Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
+Architecture: all
+Version: 5.3.3-4
+Depends: libapache2-mod-php5 (>= 5.3.3-4) | php5-cgi (>= 5.3.3-4)
+Filename: pool/main/p/php5/php5_5.3.3-4_all.deb
+Size: 1050
+MD5Sum: cbedd95ed5b868ba1ffd10747abc0ee3
+Description: server-side, HTML-embedded scripting language (metapackage)

+ 34 - 0
test/integration/status-bug-605394-versioned-or-groups

@@ -0,0 +1,34 @@
+Package: apache2-mpm-worker
+Status: install ok installed
+Priority: optional
+Section: httpd
+Installed-Size: 68
+Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
+Architecture: i386
+Source: apache2
+Version: 2.2.16-4
+Provides: apache2-mpm
+Conflicts: apache2-mpm
+Description: Apache HTTP Server - high speed threaded model
+
+Package: php5-cgi
+Status: install ok installed
+Priority: optional
+Section: php
+Installed-Size: 14672
+Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
+Architecture: i386
+Source: php5
+Version: 5.3.3-3
+Description: server-side, HTML-embedded scripting language (CGI binary)
+
+Package: php5
+Status: install ok installed
+Priority: optional
+Section: php
+Installed-Size: 20
+Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
+Architecture: all
+Version: 5.3.3-3
+Depends: libapache2-mod-php5 (>= 5.3.3-3) | libapache2-mod-php5filter (>= 5.3.3-3) | php5-cgi (>= 5.3.3-3)
+Description: server-side, HTML-embedded scripting language (metapackage)

+ 25 - 0
test/integration/test-bug-605394-versioned-or-groups

@@ -0,0 +1,25 @@
+#!/bin/sh
+set -e
+
+local TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture "i386"
+setupaptarchive
+
+testequal "Reading package lists...
+Building dependency tree...
+The following packages will be upgraded:
+  php5 php5-cgi
+2 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
+Need to get 0 B/5715 kB of archives.
+After this operation, 0 B of additional disk space will be used.
+E: Trivial Only specified but this is not a trivial operation." aptget dist-upgrade --trivial-only
+
+msgtest "Solution process doesn't involve" 'apache2-mpm-prefork'
+
+if aptget dist-upgrade --trivial-only -o Debug::pkgProblemResolver=1 -o Debug::pkgDepCache::Marker=1 2>&1 | grep apache2-mpm-prefork > /dev/null; then
+	msgfail
+else
+	msgpass
+fi